# 人脸门禁设备管理需求文档

## 背景介绍

人脸门禁设备是采用人脸比对的方式，如果人脸比对通过则可以刷脸进出，如果比对失败则无法进出，从而实现刷脸通行。人脸门禁一般安装在小区的主出入口，单元门。

目前人脸门禁设备供应商有三家，分别是宇松科技，海康威视和GAT。

* 宇松科技设备为定制安卓系统，为我司定制软件，软件直接与绘管家后台进行API数据对接；

* 海康威视设备分为两种，一种是基于8700平台，一种是基于云眸社区平台。其中8700平台为局域网的设备管理平台，接入的小区需要在本地部署服务器，安装8700安防软件才可以管理，如果小区接入专线网络，本地服务器拥有独立IP，也可以对外提供接口（目前蓝岛康城，柳州项目即采用这种方式），因此使用8700平台的小区需要单独设置小区对应的对接服务器地址。云眸社区是海康于2019年推出的云平台，人脸门禁管理可以通过对接其云平台完成。

* GAT：早期试用的一个厂家，目前仅在东方吉祥康郡使用，采用接口对接方式完成人脸门禁管理。

## 业务说明 [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

### 流程图

门禁设备统一由平台集中管理，具体业务行为（人脸审核，通行证管理）由客户系统负责。

#### 平台业务流程

 ![平台维护部分流程](image/platformWorkflow.png)

* 配置对接平台：宇松门禁设备，GAT和海康云眸社区设备只需要配置一次，所有设备都是通用的。8700平台需要针对每个小区设置一次，因为每个小区的服务器对接地址，appId和appSecret都不同。

* 小区门禁配置：主要针对宇松门禁设备，GAT（海康云眸社区接口尚未提供），其中GAT需求配置小区的管理员账号和密码。宇松门禁需要配置客服中心电话，密码（用于输入密码直接查看设备信息，排查问题）。一个小区对应一条配置记录。

* 设备信息录入：录入设备的基本信息，以便后续查看和集中管理，录入的信息包括设备名称，厂商编号（唯一），厂商名称，型号等信息。其中人脸激活码（用于人脸比对算法SDK），云之讯用户编号和令牌（用于拨打网络电话）均为宇松门禁专用属性。

* 设备安装：设备安装指的是在线将门禁设备分配到对应小区对应的出入口门禁，为了方便分组和降低业务系统的侵入性，要求门禁名称与对应的小区的出入口门禁一致，例如蓝岛康城大门门禁应当录入为大门门禁，2号楼门禁应当录入为2号楼门禁。一个门禁设备只能安装一次，如果要重复安装，需要将之前的安装记录删除。

* 门禁分组：考虑部分小区出入口很多，单元门禁也很多，为简化审核和统一访客密码（即多个门禁共用一个访客密码），需要对小区已安装的门禁设备进行分组。审核下发通行证时按门禁组下发，申请访客密码时也是按门禁组申请。同一个门禁可以在多个门禁组内，但不同门禁组内的门禁设备不能完全相同。

* 设备监控：设备需要监控心跳（网络连接情况），掉线记录，通行记录，方便及时掌控设备状态和使用情况。

* 设备更换：当设备发生损坏时，为不影响小区正常通行，需要更换设备，更换设备涉及如下操作：

  * 录入新设备信息：更换前必须要要先录入新设备信息才可以进行更换（手动录入）

  * 删除旧设备安装记录：将更换掉的旧设备安装记录删除

  * 添加新设备安装记录：将旧设备的安装信息复制一份到新设备的安装记录（厂商编号不变）

  * 更新新设备安装记录到对应的门禁组：所有旧设备所在门禁组的信息都需要替换为新设备的安装

  * 将通行证人脸迁移到新设备

  * 标记旧设备为返厂（维修）或报废（无法维修）

  #### 业务系统流程（自助录入人脸）

  # 

  ### 

  ### 

  ## 

  ![人脸审核业务流程](image/reviewFlow.png)

* 入住房屋：未确保申请审核的人脸是本小区住户，用户在小区服务中申请通行时需要先入住房屋，如果已经入住则无需再次入住。

* 添加人脸：用户添加人脸，已经添加过的人脸的用户可以使用之前的人脸也可以修改人脸。

* 申请通行：用户申请在当前小区通行，即创建一条待审核的记录供物业方审核。申请通行后需要推送消息给相应的物业人员，提醒该人员及时审核。

* 物业审核：物业人员审核时，需要判断照片是否合格（如不是人脸），是不是本小区住户；如果不满足通行条件可以直接拒绝，拒绝时需要填写拒绝理由，以便用户查看。拒绝时需要推送消息到用户，提示其提交的审核被拒绝及拒绝原因。

* 允许通行：如物业人员核实用户提交的人脸符合通行条件，则下发给用户通行证，通行证通过门禁组下发。可一次下发多个门禁组，如果存在相同门禁，则只下发一次。

* 设备审核：人脸照片下发后，设备需要下载对应图片进行特征码提取，可能存在特征码提取失败（如人脸照片不合格，不是人脸）或者照片下载失败，此时设备或第三方会告知平台人脸审核失败，系统也需要通知用户人脸审核失败，并标记审核记录为审核失败（__只要有一个门禁失败即视为审核失败__）。对于失败的通行证，物业也可以选择重新下发（如照片下载失败时，可以让设备重新下载）。如果__全部通行证__审核通过则标记对应的审核记录为成功，并推送消息告知用户审核成功。

* 通行证审核通过后，用户即可通过相应门禁，用户刷脸通行时，设备会将刷脸信息（通行证编号，刷脸时间）上传给平台。

#### 业主添加家人

业主添加家人人脸通行和自助添加类似，只是添加家人时需要按表单填写家人姓名，手机号（考虑老人小孩没有手机，手机号可以与用户手机号相同，但是不能同时手机号和姓名都相同），与本人关系，录入家人人脸（家人信息存储在平台，以便重复使用），然后再提交审核。

审核结果也需要推送消息告知业主。

#### 物业录入人脸

物业帮助住户录入人脸可通过绘管家App，Web端或绘管家公众号进行。流程如下：

![物业录入人脸](image/addReviewByEmployee.png)

物业录入人脸的流程相对简单，因为是物业人员录入，无需审核过程。只是录入的人脸人员信息必须从小区的住户表读取，如果没有住户信息则需先添加该住户。此举是为了帮助物业完善住户信息。

### 业务说明

* 住户人脸审核通过，分配通行证后方可申请访客密码供访客使用。

* 家人和物业协助添加的住户由于无法关联到对应的终端(App，微信服务号，小程序)的用户，因此无法使用访客功能。数据表需考虑预留字段方便未来绑定对应的用户。

* 表单字段可参照原型说明。
