---
**收费标准**

---

 1.收费标准创建

> * （1）基本设置：收费标准创建时根据当前选择的小区进行小区下属的收费标准创建，每一个费用名称需要保持唯一性，收费资产代表其可关联的资产主体类型，作为未来生成与查看账单时收费标准的归属判断。费用类型当前版本的功能暂不启用（作为未来数据统计、报表相关功能使用）其主要目的是将各种收费标准进行分类。根据不同的公司，分类标准可能不同，会根据公司级别账户进行收费类型字典的设置，当前版本作为预设固定类型。
> 
> * （2）收费公式：收费公式作为账单生成的判断方式与计费方式使用，其中，判断公式决定了当前收费标注是否满足使用条件，标准单价与单位用于对收费标准的查看、账单字段展示、计费公式的字段引用等，计费公式当前版本仅支持手动编辑，暂不支持公式库，可根据相关计费字段编辑计费公式。
>   
>   > 一，判断公式
>   > 
>   > 根据收费标准收费资产的不同，可选择的判断公式参数不同，其中房屋与水电表使用一套参数，车辆车位各自有相关参数。判断公式的优先级与收费标准资产关联一致，无法满足判断公式的情况下不参与账单计算。
>   > 
>   > > **房屋与水电表判断参数：**
>   > > 
>   > > 1.房屋参数：固定内容（标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量）其中标准单价引用收费标准创建时手动输入的标准单价，在阶梯收费情况下，根据每个阶梯的不同引用不同阶梯的标准单价。
>   > > 
>   > > 2.状态参数：固定内容（自住房屋、已装修、已交房、已入住）仅能用作判断，可能出现将此参数用于参数计算中，会引发数据错误，无法完成判断，出现错误时视为无判断公式。（是否提示错误根据实现难度待定）
>   > > 
>   > > 3.关联参数：固定内容（关联资产数量、关联住户电表读数总和、关联住户水表读数总和）需要进行二次计算的参数，根据当前收费标准实际的关联资产情况得出的数据。如：关联住户水表读数总和在实际使用中就是讲所有关联了此收费标准的住户的住户水表计费行度加在一起。
>   > > 
>   > > 4.电表行度：固定内容（住户电表）非固定内容（公共电表列表）其中，住户电表为此收费标准关联的资产下住户水表的计费行度。而公共电表列表要展示此小区下所有公共表的名称，在编辑公式时要精确到具体的公共表，参与判断时为选定公共表的计费行度。
>   > > 
>   > > 5.水表行度：与电表读数同理
>   > > 
>   > > **车辆判断参数：**
>   > > 
>   > > 1.车辆参数：固定内容（标准单价）
>   > > 
>   > > 2.状态参数：固定内容（新能源车、小型汽车、中型汽车、大型汽车、电动自行车、摩托车、三轮车）
>   > > 
>   > > 3.关联参数：固定内容（关联资产数量）
>   > > 
>   > > 4.电表行度：非固定内容（公共电表列表）
>   > > 
>   > > 5.水表行度：非固定内容（公共水表列表）
>   > > 
>   > > **车位判断参数：**
>   > > 
>   > > 1.车位参数：固定内容（标准单价、关联汽车数量）
>   > > 
>   > > 2.状态参数：固定内容（公共车位、人防车位、产权车位、已售车位、已租车位、空置车位、自用车位、待售车位、待租车位、临停车位）
>   > > 
>   > > 3.关联参数：固定内容（关联资产数量）
>   > > 
>   > > 4.电表行度：非固定内容（公共电表列表）
>   > > 
>   > > 5.水表行度：非固定内容（公共水表列表）
>   > > 
>   > > | 资产类型   | 参数分类 | 参数内容                                                     |
>   > > |:------:|:----:|:--------------------------------------------------------:|
>   > > | 房屋及水电表 | 房屋参数 | 标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量 |
>   > > | 房屋及水电表 | 状态参数 | 自住房屋、已装修、已交房、已入住                                         |
>   > > | 房屋及水电表 | 关联参数 | 关联资产数量、关联住户电表读数总和、关联住户水表读数总和                             |
>   > > | 房屋及水电表 | 电表行度 | 住户电表、公共电表列表                                              |
>   > > | 房屋及水电表 | 水表行度 | 住户水表、公共水表列表                                              |
>   > > | 车辆     | 车辆参数 | 标准单价                                                     |
>   > > | 车辆     | 状态参数 | 新能源车、小型汽车、中型汽车、大型汽车、电动自行车、摩托车、三轮车                        |
>   > > | 车辆     | 关联参数 | 关联资产数量                                                   |
>   > > | 车辆     | 电表行度 | 公共电表列表                                                   |
>   > > | 车辆     | 水表行度 | 公共水表列表                                                   |
>   > > | 车位     | 车位参数 | 标准单价、关联汽车数量                                              |
>   > > | 车位     | 状态参数 | 公共车位、人防车位、产权车位、已售车位、已租车位、空置车位、自用车位、待售车位、待租车位、临停车位        |
>   > > | 车位     | 关联参数 | 关联资产数量                                                   |
>   > > | 车位     | 电表行度 | 公共电表列表                                                   |
>   > > | 车位     | 水表行度 | 公共水表列表                                                   |
>   > 
>   >  二，计费公式与阶梯收费区间参数选择
>   > 
>   > 在判断参数的基础上，由于状态参数属于状态，无法参与公式的计算。另外在阶梯收费情况下，阶梯也可使用同样的参数用以判断阶梯的触发。
>   > 
>   > > **房屋与水电表判断参数：**
>   > > 
>   > > 1.房屋参数：固定内容（标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量）其中标准单价引用收费标准创建时手动输入的标准单价，在阶梯收费情况下，根据每个阶梯的不同引用不同阶梯的标准单价。
>   > > 
>   > > 2.关联参数：固定内容（关联资产数量、关联住户电表读数总和、关联住户水表读数总和）需要进行二次计算的参数，根据当前收费标准实际的关联资产情况得出的数据。如：关联住户水表读数总和在实际使用中就是讲所有关联了此收费标准的住户的住户水表计费行度加在一起。
>   > > 
>   > > 3.电表行度：固定内容（住户电表）非固定内容（公共电表列表）其中，住户电表为此收费标准关联的资产下住户水表的计费行度。而公共电表列表要展示此小区下所有公共表的名称，在编辑公式时要精确到具体的公共表，参与判断时为选定公共表的计费行度。
>   > > 
>   > > 4.水表行度：与电表读数同理
>   > > 
>   > > **车辆判断参数：**
>   > > 
>   > > 1.车辆参数：固定内容（标准单价）
>   > > 
>   > > 2.关联参数：固定内容（关联资产数量）
>   > > 
>   > > 3.电表行度：非固定内容（公共电表列表）
>   > > 
>   > > 4.水表行度：非固定内容（公共水表列表）
>   > > 
>   > > **车位判断参数：**
>   > > 
>   > > 1.车位参数：固定内容（标准单价、关联汽车数量）
>   > > 
>   > > 2.关联参数：固定内容（关联资产数量）
>   > > 
>   > > 3.电表行度：非固定内容（公共电表列表）
>   > > 
>   > > 4.水表行度：非固定内容（公共水表列表）
>   > > 
>   > > | 资产类型   | 参数分类 | 参数内容                                                     |
>   > > |:------:|:----:|:--------------------------------------------------------:|
>   > > | 房屋及水电表 | 房屋参数 | 标准单价、房屋楼层、建筑面积、计费面积、公摊面积、关联车位数量、关联新能源汽车数量、关联电动车数量、关联汽车数量 |
>   > > | 房屋及水电表 | 关联参数 | 关联资产数量、关联住户电表读数总和、关联住户水表读数总和                             |
>   > > | 房屋及水电表 | 电表行度 | 住户电表、公共电表列表                                              |
>   > > | 房屋及水电表 | 水表行度 | 住户水表、公共水表列表                                              |
>   > > | 车辆     | 车辆参数 | 标准单价                                                     |
>   > > | 车辆     | 关联参数 | 关联资产数量                                                   |
>   > > | 车辆     | 电表行度 | 公共电表列表                                                   |
>   > > | 车辆     | 水表行度 | 公共水表列表                                                   |
>   > > | 车位     | 车位参数 | 标准单价、关联汽车数量                                              |
>   > > | 车位     | 关联参数 | 关联资产数量                                                   |
>   > > | 车位     | 电表行度 | 公共电表列表                                                   |
>   > > | 车位     | 水表行度 | 公共水表列表                                                   |
> 
> * （3）阶梯收费：基本设置与非阶梯收费一致，但根据不同的收费区间，可能存在不同的计费阶梯（具体计费方式需与运营人员确认，阶梯收费有相应的行业标准）通过收费区间的设置实现分段计算。每个阶梯都使用同样的计费公式，但是可设置不同的计费单价，通过阶梯收费区间参数的条件来判断触发条件。
> 
> * （4）精度与其他设置：当前版本所有金额计算基数基于"元"，计费精度可精确到“角”“分”，通过对计算结果进行计数保留得到想要的计费精度，保留法与财务的行业术语一致。
> 
> * （5）字段说明   
>   
>   | 字段名称     | 备注                                                                                                                                                                                                     | 是否必填 |
>   |:--------:|:------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |:----:|
>   | 费用名称     | 检测唯一性，创建后名称无法修改。                                                                                                                                                                                       | 是    |
>   | 收费资产     | 收费资产决定关联的资产类型，包括：房屋、车辆、车位、水表、电表                                                                                                                                                                        | 是    |
>   | 费用类型     | 根据字典预设，当前版本包括：物业服务费、车位服务费、车辆管理费、水费、电费、电梯分摊费等                                                                                                                                                           | 是    |
>   |          |                                                                                                                                                                                                        |      |
>   | 判断公式     | 展示判断公式的内容，点击弹出判断公式编辑弹窗。弹窗包括编辑区与引用区，编辑区包括基础四则运算与逻辑判断符号，引用区包括所有可用来引用的数据，根据所选资产的不同，能够引用的数据也会不同包括房屋（房屋资产的参数包括水电表资产选择）、车辆、车位。判断公式可能因为引用参数的问题（不存在，判断公式错误等）被判断为空，暨视为无判断公式。                                    | 否    |
>   | 判断（基础参数） | 根据资产的不同会有不同，房屋资产包括：标准单价、建筑面积、计费面积、公摊面积、车位数量、新能源汽车数量、汽车数量、水表读数、电表读数（补充加入：电动车数量）数据来源为收费标准设置、资产参数等（当此收费标准与资产进行关联时才可得到相应资产参数，如：选择了建筑面积但收费标准关联了车辆，此公式无法生效，默认被认为无判断公式）                                       | -    |
>   | 判断（关联参数） | 包括：关联资产数量（当前收费标准关联的资产数量的总和），关联住户电表读数总和。关联住户水表读数总和（如当前收费标准的资产无法关联水表或电表，则此条引用数据默认为0参与计算）                                                                                                                 | -    |
>   | 判断（电表读数） | 此字段引用所有的公共电表，引用对应表读数进行计算                                                                                                                                                                               | -    |
>   | 判断（水表读数） | 此字段引用所有的公共水表，引用对应表读数进行计算                                                                                                                                                                               | -    |
>   | 判断（状态参数） | 当前版本仅支持房屋相关的状态参数，在资产非房屋时，已引用此类参数的判断公式判断为空，已设置的判断公式不生效                                                                                                                                                  | -    |
>   | 标准单价     | 标准单价对收费标准的查看、账单字段展示、计费公式的字段引用，默认单位为“元”                                                                                                                                                                 | 否    |
>   | 标准单位     | 标准单位仅作为数据展示与查看使用。大于0，可输入多位小数，按照系统支持的最多位进行限制（小数可正常参与账单的计算，但输出结果的时候会按照精度设置进行保留）                                                                                                                          | 否    |
>   | 计费公式     | 展示计费公式的内容，点击弹出判断公式编辑弹窗。弹窗包括编辑区与引用区，编辑区包括基础四则运算符号，引用区包括所有可用来引用的数据，根据所选资产的不同，能够引用的数据也会不同包括房屋（房屋资产的参数包括水电表资产选择）、车辆、车位。计费公式可能因为引用参数的问题（不存在，判断公式错误等）被判断为空，暨视为计费公式计算结果为0。在勾选临时缴费的状态下计费公式可为空。阶梯收费情况下，计费公式为必填。 | 是/否  |
>   | 计费（基础参数） | 包括：标准单价、建筑面积、计费面积、公摊面积、车位数量、新能源汽车数量、汽车数量、水表读数、电表读数（补充加入：电动车数量）数据来源为收费标准设置、资产参数等（当此收费标准与资产进行关联时才可得到相应资产参数，如：选择了建筑面积但收费标准关联了车辆，此公式无法得出结果，计算结果视为0）                                                        | -    |
>   | 计费（关联参数） | 包括：关联资产数量（当前收费标准关联的资产数量的总和），关联住户电表读数总和。关联住户水表读数总和（如当前收费标准的资产无法关联水表或电表，则此条引用数据默认为0参与计算）                                                                                                                 | -    |
>   | 计费（电表读数） | 此字段引用所有的公共电表，引用对应表读数进行计算                                                                                                                                                                               | -    |
>   | 计费（水表读数） | 此字段引用所有的公共水表，引用对应表读数进行计算                                                                                                                                                                               | -    |
>   | 阶梯收费     | 阶梯收费的切换开关，开启后增加收费阶梯，默认为两段阶梯，可手动添加或关闭，关闭到只剩单阶梯时，自动关闭阶梯收费。                                                                                                                                               | -    |
>   | 阶梯（标准单价） | 每个阶梯的标准单价可以单独设置，设置后作为此阶梯中计费公式相关的单价进行计算。                                                                                                                                                                | 是    |
>   | 阶梯（计费公式） | 继承收费公式中设置的计费公式，所有阶梯保持一致。                                                                                                                                                                               | -    |
>   | 阶梯（收费区间） | 第一阶梯下收费区间的判断条件可选，其判断条件与计费公式中的变量相同，起始区间要从0开始，切在后续的阶梯中，收费区间不可断档也不可交叉。其他收费阶梯的判断条件不可选，与第一阶梯的判断条件保持一致。当选择的判断区间条件无资产关联时，默认生成账单的金额为0。                                                                         | 是    |
>   | 计费精度     | 金额计算基数基于"元"，计费精度可精确到“角”“分”。默认“元”                                                                                                                                                                       | 是    |
>   | 计数保留法    | 包括：进一法（超过计费精度的小数选择进位），去尾法（超过计费精度的小数选择舍去），四舍五入（超过计费精度的小数选择四舍五入）。默认四舍五入。                                                                                                                                 | 是    |
>   | 是否预付     | 预付选择给收费标准进行限制，勾选预付的收费标准可应用于预付账单操作。                                                                                                                                                                     | -    |
>   | 临时缴费     | 临时缴费用于不同场景下的收费标准使用，一般收费标准用于账期账单的生成，临时收费不用于账期生成，而用于资产下临时缴费时收费标准的选择。临时缴费状态下计费公式非必填。                                                                                                                      | -    |

 2.收费标准列表

> * （1）布局简介：![收费标准列表布局]()导航区：列表选择。
> 
> * （2）列表选择：![账单列表与关联]()*列表选择为不同资产目录导航，通过不同资产的切换查看房屋、车位、车辆这些资产下的收费标准，可精准的找到小区下属的所有资产实体的收费标准关联情况。在选择公司与小区后默认查看整个小区的所有收费标准，并可选择每一个收费标准进行查看或者对收费标准进行关联，关联操作可对收费标准的资产类型进行关联绑定或解绑操作。同时可对所有收费标准进行排序，对账单打印时打印的顺序进行排序。*
> 
> * （3）收费标准详情：![收费标准详情]()*可通过点击收费标准名称可看到收费标准的详细内容，并可对收费标准进行编辑、禁用或者删除，编辑时，除了收费标准的名称不可修改，其他设置均可修改，在收费资产发生变化时，之前关联的所有资产均会自动删除，但如果资产关联未改变资产类型则继承原始关联。禁用操作无限制，可对任何收费标准进行禁用，禁用不影响其关联和已经生成的账单，但收费标准无法在生成账单时使用临时缴费也无法选择此收费标准。删除仅可针对未产生任何账单及收费的可进行删除，包括有预存款针对此收费标准的抵扣也无法删除。*
> 
> * （4）收费标准-房屋：![收费标准房屋]()*选择房屋列表后可精准的选择某个特定房屋，并查看此房屋下的基础信息与关联的收费标准。基础信息包括房屋信息、业主信息、关联资产，其中，房屋信息包含房屋的基础信息用以对比了解房屋情况用以对比收费标准是否异常，业主信息包含当前房屋的业主与历史业主，关联资产包括与房屋相关的车辆车位等资产情况。而房屋下的收费标准除房屋本身外，与房屋关联的用户水电表收费标准与关联的车辆车位的收费标准也同时呈现。*
> 
> * （5）收费标准-车辆车位：![收费标准车辆车位]()*选择车辆车位列表后可精准的选择某个特定车辆车位资产，并查看此资产下的关联资产与本身的收费标准。*

---

**优惠活动（暂缓）**

---

内容

---

**财务设置**

---

1.账期设置：针对不同的物业公司或小区的账期概念起止时间不同，对不同小区可以设置不同的应收日期，此版本仅做时间设置与缴费须知填写暂无其他相关功能（后续会根据应收日期判断账单自动生成、违约金等）

2.押金设置：针对不同小区特有的押金收费标准设置，每个小区可自行设置可缴纳押金的名称与收费金额限制，并可选择是否启用该项押金，押金可选择限定金额或不限金额，限定状态下押金缴费为特定金额，不限金额状态下押金缴费可缴纳任意数额（大于0）

3.字段说明

> | 字段名称 | 备注                                               | 是否必填 |
> |:----:|:------------------------------------------------ |:----:|
> | 应收日期 | 可选择每月的特定日期，仅能选择1至28号（按照2月最小日期进行选择）               | 是    |
> | 缴费须知 | 可填写小区缴费通知需要的文案，仅支持文本填写（最大字段数量结合打印缴费通知单的区域面积进行设置） | 否    |
> | 押金名称 | 用与对押金进行判断与查找，需保证唯一性，创建后押金名称无法修改                  | 是    |
> | 收费金额 | 填写金额则判断为限定金额押金，填写0或不填写判断为不限金额押金，可编辑修改            | 否    |
> | 押金状态 | 创建押金时默认选择启用，可编辑修改，标记为禁用状态时无法缴纳被禁用的押金，但已缴纳的押金不收影响 | -    |

---

**收银台**

---

1.收银台概述：日常使用过程中，收费员的基本操作主要为各种类型的收费操作，收费行为共有以下五种，通过收银台相关操作可快速实现缴费相关操作。首先通过资产的关键词搜索到缴费的资产主体，然后选择快捷操作的类型进行快捷操作。![新收银台页面]()

2.账单缴费：选择特定资产后选择账单缴费，跳转至相应的账单列表进行相关操作。详情见账单列表。![账单缴费收银台]()

3.预存款缴费：选择特定资产后选择预存款缴费，根据所选择的资产选择缴费人，填写缴费相关数据，完成预存款快捷缴费。![预存款缴费收银台]()

4.押金缴费：选择特定资产后选择押金缴费，根据所选择的资产选择缴费人，选择缴纳的押金类型，填写缴费相关数据，完成预存款快捷缴费。![押金缴费收银台]()

5.临时缴费：选择特定资产后选择临时缴费，根据所选择的资产选择缴费人，选择此资产关联的临时缴费收费项目，填写缴费相关数据，完成预存款快捷缴费。![临时缴费收银台]()

6.预付账单缴费：选择特定资产后选择预付账单缴费，根据所选择的资产选择缴费人，选择需要预付的收费标准（预付收费标准列表），选择减免方式，填写缴费相关数据，完成预存款快捷缴费。![预付账单缴费收银台]()

> （1）减免方式：包括（金额减免、比率减免、无减免）
> 
> > 金额减免：选择一个账期范围，从中选出一个账期给与特定金额的减免，减免金额不可超过此减免账期的应收金额，超出时生成的预付账单减免金额默认与此减免账期的应收金额相同。
> > 
> > 比率减免：选择一个账期范围，将所有账期的应收金额进行折扣计算，转化为减免生成预付账单。
> > 
> > 无减免：正常生成账单。
> 
> （2）账期范围：需选择对应的收费项目未生成的账期，需选择至少一个账期。
> 
> （3）减免账期：金额减免时需要选择一个账期范围内的特定账期用以减免相应金额。
> 
> （4）减免金额或折扣：减免金额需要大于0。减免折扣可输入大于0小于10的数字，支持两位小数。

7.工作日志-待完善

---

**账单列表**

> * （1）账单概念 
>   
>   ![账单列表关系图]()
>   
>   除快捷操作用的收银台外，也可通过资产主体查找特定资产来进行对应的操作，将资产下属的所有账单、预存款、押金等统一展示与管理。当前版本可以通过三种不同列表寻找资产主体，分别是：房屋、车辆与车位。任意资产列表都可找到相应的资产主体。
>   
>   ![资产选择列表](image/资产选择列表.png)
> 
> * （2）账单状态
>   
>   ![无数据图]()
>   
>   未选择资产主体情况
>   
>   ![无欠费图]()
>   
>   无欠费资产情况
>   
>   ![房屋列表]()
>   
>   房屋列表选择
>   
>   ![车辆列表]()
>   
>   车辆列表选择
>   
>   ![车辆列表]()
>   
>   车位列表选择

 账单详情

> * （1）账单详情
> 
> * 默认状态：选择特定资产后会进入资产相关的账单页面，默认展示此资产及关联的其他资产的欠费账单的页面，并默认勾选所有欠费账单并自动填写缴费金额，除显示总金额外还会将各个收费项目的分项小结列出。
>   
>     ![账单列表默认收起]()
> 
> * 展开收起等状态操作
>   
>     ![账单列表展开]()
> 
> * 字段说明
> 
> | 字段名称        | 备注                                                                                          |
> |:-----------:|:------------------------------------------------------------------------------------------- |
> | 资产名称        | 显示当前选择的资产名称，房屋名称格式（小区/楼栋/单元/楼层/房屋）车辆名称格式（小区/车牌号）车位名称格式（小区/车场/车位号）                           |
> | 资产          | 资产有五种：房屋、水表、电表、车辆、车位。根据当前选择的资产主体而定，列表内会显示当前选择的资产主体与其下关联的资产，同一账期内的账单根据收费项目的打印顺序进行顺序排列。       |
> | 收费项目        | 资产下属相应的收费标准。                                                                                |
> | 数量          | 计费公式中如果仅有一项参数乘以单价，则将此参数展示为数量，除此之外的其他情况不显示数量。                                                |
> | 单价          | 计费公式中有单价的情况下显示单价，阶梯收费根据触发的阶梯所对应的单价显示相应单价。                                                   |
> | 应收          | 根据计费公式得出账单应收结果。                                                                             |
> | 减免          | 通过账单缴费折扣触发，或手动减免等情况得到的账单减免总额，可通过点击弹窗查看历史减免记录。                                               |
> | 已收          | 当前收费项目资产账单缴费总计。                                                                             |
> | 欠收          | 当前收费项目欠收总计。                                                                                 |
> | 缴费金额        | 本次缴费将要缴纳的金额，可自由填写将要缴纳的金额，最大值不超过欠收金额，最小值为0，可填写两位小数。默认填写欠收金额。                                 |
> | 欠费项目        | 筛选条件默认选择欠费项目，可选择其他筛选条件，包括：项目不限、欠费项目（欠收大于0且非冻结项目）、缴清项目（欠收为0的项目）、冻结项目（冻结欠费的项目）。根据筛选条件查看相应的账单。 |
> | 账期不限        | 可选择账期时间范围查看。                                                                                |
> | 收费项目不限      | 可选择当前页面所能查看的所有资产的所有收费项目，默认全选，可多选。                                                           |
> | 资产主体（房屋）    | 选择的资产主体为房屋时，除了展示房屋的相关账单外，还显示房屋关联的其他资产的账单。                                                   |
> | 资产主体（车位、车辆） | 车位与车辆作为资产主体时，仅显示其自身相关资产的账单。                                                                 |
> | 业主主体        | 此版本暂时无法选择业主                                                                                 |
> | 关联业主        | 当前资产下关联的业主数量，点击可查看业主信息。                                                                     |
> | 关联资产        | 当前资产下关联的其他资产的数量，点击可查看资产信息，并可快速切换至相应资产。                                                      |
> | 总欠费         | 显示当前资产下（房屋情况下包括关联的子资产）所有欠收的总额（欠收不包含冻结账单中的欠收）。                                               |
> | 总金额         | 显示当前勾选的欠费账单的缴费金额的总额，并默认查看其分收费项目小计信息（可收起）。                                                   |
> | 临时缴费        | 临时缴费入口。                                                                                     |
> | 预付账单        | 预付账单入口                                                                                      |
> | 预存抵扣        | 预存款抵扣入口                                                                                     |
> | 冻结欠费        | 冻结欠费入口                                                                                      |
> | 账单缴费        | 账单缴费入口                                                                                      |
> 
> * （2）账单缴费
>   
>   选择欠费账单进行缴费的行为
> 
> * （3）临时缴费
>   
>   对于临时缴费这种特殊的缴费状态，我们通过单独功能实现，选择临时缴费，选择资产、缴费人、所使用的临时缴费收费项目等完成缴费。
>   
>   | 字段名称       | 备注                                          | 是否必填 |
>   | ---------- | ------------------------------------------- | ---- |
>   | 房屋名称（资产名称） | 进入此功能时所选择的资产名称，通过房屋、车辆、车位进入临时缴费分别显示各个资产的名称  | --   |
>   | 资产选择       | 默认选择进入此功能时选择的资产，可选择的范围包括当前选择资产下的其他关联资产      | 是    |
>   | 缴费人        | 资产选择后，选择的资产下的业主选择，默认第一位业主选择                 | 是    |
>   | 收费项目       | 可选择所有临时缴费收费项目，默认选择排序顺位第一个                   | 是    |
>   | 缴费金额       | 输入缴费金额后会根据项目单价计算出缴费数量，自动填写相应字段              | 是    |
>   | 缴费数量       | 输入缴费数量后根据单价计算出缴费金额，自动填写，填写任何一个，另外一个字段都会相应变更 | 是    |
>   | 项目单价       | 收费标准中的单价                                    | --   |
>   | 支付方式       | 根据小区配置的支付方式进行选择，默认线下支付方式第一顺位（无线下支付方式默认不选）   | 是    |
>   | 支付时间       | 自动填写选择此功能的时间，时间可修改                          | 是    |
> 
> * （4）预付账单缴费
>   
>   针对部分固定收费内容的收费项目，支持对账单进行预生成与预付，并可针对特定时间进行相应的减免。
>   
>   | 字段名称       | 备注                                                                                                                                                      | 是否必填 |
>   | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- | ---- |
>   | 房屋名称（资产名称） | 进入此功能时所选择的资产名称，通过房屋、车辆、车位进入临时缴费分别显示各个资产的名称                                                                                                              | --   |
>   | 资产选择       | 默认选择进入此功能时选择的资产，可选择的范围包括当前选择资产下的其他关联资产                                                                                                                  | 是    |
>   | 缴费人        | 资产选择后，选择的资产下的业主选择，默认第一位业主选择                                                                                                                             | 是    |
>   | 收费项目       | 可选择所有的预付收费项目，默认选择排序顺位第一个                                                                                                                                | 是    |
>   | 减免方式       | 包括（金额减免、比率减免、无减免）金额减免：选择一个账期范围，从中选出一个账期给与特定金额的减免，减免金额不可超过此减免账期的应收金额，超出时生成的预付账单减免金额默认与此减免账期的应收金额相同。比率减免：选择一个账期范围，将所有账期的应收金额进行折扣计算，转化为减免生成预付账单。无减免：正常生成账单 | 是    |
>   | 账期范围       | 需选择对应的收费项目未生成的账期，需选择至少一个账期                                                                                                                              | 是    |
>   | 减免账期       | 金额减免时需要选择一个账期范围内的特定账期用以减免相应金额，默认选择账期范围内的第一个账期。                                                                                                          | 是    |
>   | 减免金额       | 减免金额需要大于0                                                                                                                                               | 是    |
>   | 减免折扣       | 减免折扣可输入大于0小于10的数字，支持两位小数                                                                                                                                | 是    |
>   
>   设定完成后会根据设定的内容生成预付款缴费账单，此账单合集只能一次性付清，取消或关闭会自动删除此账单合集。
>   
>   | 字段名称 | 备注                                        | 是否必填 |
>   | ---- | ----------------------------------------- | ---- |
>   | 缴费人  | 资产选择后，选择的资产下的业主选择，继承预付账单缴费设置页面的缴费人，但仍可修改  | 是    |
>   | 支付方式 | 根据小区配置的支付方式进行选择，默认线下支付方式第一顺位（无线下支付方式默认不选） | 是    |
>   | 支付时间 | 自动填写选择此功能的时间，时间可修改                        | 是    |
> 
> * （5）预存款抵扣
>   
>   选择账单缴费时，可根据资产预付款情况进行预存款抵扣
> 
> * （6）冻结欠款

---

**缴费记录**

记录所选择资产的缴费行为记录，记录内容包括：账单缴费、账单退费、账单作废。

字段说明：

**预存款详情**

---

**押金详情**

---

**创建账单**

 1.创建账单概念

> 设置好收费标准和关联的资产后，可批量定期生成账单，用以产生账期内的资产账单。创建时可根据所要生成收费项目或者要选择特定资产进行单项或批量创建。通过创建账单列表，可以查看各项收费标准关联的资产类型与数量，并可查看已生成的账单数量。

---

**账单审核**

---

---

**流水记录**

---

 1.流水列表

> 展现不同账单的收入与支出，用以查看各笔流水的情况，其中涉及到不同操作之间流水的对应关系。
> 
> ![流水示意图](image/流水示意图.png)

 2.资产账单

> * **（1）账单缴费**（收入）
>   
>   ***线上&线下：***
> 
> | 业务类型 | 业务行为 | 时间       | 收入   | 支出  | 资金类型      | 操作员     | 操作   |
> | ---- | ---- | -------- | ---- | --- | --------- | ------- | ---- |
> | 资产账单 | 账单缴费 | 缴费时间明确到秒 | 流水收入 | 空   | 线上加具体支付方式 | 流水产生操作人 | 详情入口 |
> | 资产账单 | 账单缴费 | 缴费时间明确到秒 | 流水收入 | 空   | 线下加具体支付方式 | 流水产生操作人 | 详情入口 |
> 
> 线上线下缴费行为可进行退费，线下支付的缴费行为可进行作废。作废后仅保留作废记录，相应被作废的流水删除，相关的账单状态也恢复至流水发生前状态。
> 
> ![资产账单-账单缴费-线上](image/资产账单-账单缴费-线上.png)
> 
> ![资产账单-账单缴费-线下](image/资产账单-账单缴费-线下.png)
> 
>   ***预存抵扣：***
> 
> | 业务类型 | 业务行为 | 时间       | 收入   | 支出  | 资金类型 | 操作员     | 操作   |
> | ---- | ---- | -------- | ---- | --- | ---- | ------- | ---- |
> | 资产账单 | 账单缴费 | 缴费时间明确到秒 | 流水收入 | 空   | 预存抵扣 | 流水产生操作人 | 详情入口 |
> 
> 预存抵扣可进行退费，将抵扣项目回退到预存款中。
> 
> ![资产账单-账单缴费-预存抵扣](image/资产账单-账单缴费-预存抵扣.png)
> 
> * **（2）账单退费**（支出）
>   
>   **线上退费：**
>   
>   退费后流水记录
> 
> ![资产账单-账单退费-线上](image/资产账单-账单退费-线上.png)
> 
>   **线下退费：**
> 
> 退费后流水记录
> 
> ![资产账单-账单退费-线下](image/资产账单-账单退费-线下.png)
> 
>   **预存回退：**
> 
> ![资产账单-账单退费-预存回退](image/资产账单-账单退费-预存回退.png)
> 
> * **（3）账单作废**（作废）
>   
>   **线下：**
> 
> ![资产账单-账单作废-线下](image/资产账单-账单作废-线下.png)

 3.预存款账单

> * **（1）预存款缴费**（收入）
>   
>   **线上&线下：**
> 
> ![预存款账单-预存款缴费-线上线下](image/预存款账单-预存款缴费-线上线下.png)
> 
>   **押金转存：**
> 
> ![预存款账单-预存款缴费-押金转存](image/预存款账单-预存款缴费-押金转存.png)
> 
>   **扭转转入：**
> 
> ![预存款账单-预存款扭转-扭转转入](image/预存款账单-预存扭转-扭转转入.png)
> 
>   **预存回退：**
> 
> ![预存款账单-账单退费-预存回退](image/预存款账单-账单退费-预存回退.png)
> 
> * **（2）预存款退费、扭转、抵扣**（支出）
>   
>   **线上线下：**
> 
> ![预存款账单-预存款退费-线上线下](image/预存款账单-预存款退费-线上线下.png)
> 
>   **扭转转出：
> 
> ![预存款账单-预存扭转-扭转转出](image/预存款账单-预存扭转-扭转转出.png)
> 
>   **预存抵扣：**
> 
> ![预存款账单-账单缴费-预存抵扣](image/预存款账单-账单缴费-预存抵扣.png)
> 
> * **（3）预存款作废**（作废）
>   
>   **线下：**
> 
> ![预存款账单-预存款作废-线下](image/预存款账单-预存款作废-线下.png)

 4.押金账单 

> * **（1）押金缴费**（收入）
> 
> ![押金账单-押金缴费-线上线下](image/押金账单-押金缴费-线上线下.png)
> 
> * **（2）押金退费、押金转预存款、结余**（支出）
> 
> ![押金账单-押金退费-线上线下](image/押金账单-押金退费-线上线下.png)
> 
> ![押金账单-预存款缴费-押金转存](image/押金账单-预存款缴费-押金转存.png)
> 
> ![押金账单-押金结余-结余](image/押金账单-押金结余-结余.png)
> 
> * **（3）押金作废**（作废）
> 
> ![押金账单-押金结余-结余](image/押金账单-押金结余-结余.png)

 5.临时缴费账单

> * **（1）临时账单缴费**（收入）
> 
> ![临时账单-临时账单缴费-线上线下](image/临时账单-临时账单缴费-线上线下.png)
> 
> * **（2）临时账单退费**（支出）
> 
> ![临时账单-临时账单退费-线上线下](image/临时账单-临时账单退费-线上线下.png)
> 
> * **（3）临时账单作废**（作废）
> 
> ![近视账单-临时账单作废-线下](image/临时账单-临时账单作废-线下.png)

 6.结余账单

> ![结余账单-押金结余-结余](image/结余账单-押金结余-结余.png)

---
